## org.eclipse.datatools.modelbase.sql.accesscontrol.impl
Class PrivilegeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.accesscontrol.impl.PrivilegeImpl

All Implemented Interfaces:
  Privilege, SQLObject

Direct Known Subclasses:
  DoubleObjectPrivilegeImpl, TablePrivilegeImpl

public class PrivilegeImpl
extends SQLObjectImpl
implements Privilege

An implementation of the model object 'Privilege'.

The following features are implemented:

- `Grantable`
- `Action`
- `Grantor`
- `Object`

See Also:
  Serialized Form

Method Summary
`AuthorizationIdentifier` `basicGetGrantor()`
`SQLObject` `basicGetObject()`
`NotificationChain` `basicSetGrantor(AuthorizationIdentifier newGrantor, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getAction()`
`AuthorizationIdentifier` `getGrantor()`
`SQLObject` `getObject()`
`boolean` `isGrantable()`
`void` `setAction(java.lang.String newAction)`
`void` `setGrantable(boolean newGrantable)`
`void` `setGrantor(AuthorizationIdentifier newGrantor)`
`void` `setObject(SQLObject newObject)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isGrantable

    public boolean isGrantable()

  Specified by:
    `isGrantable` in interface `Privilege`
  Returns:
    the value of the 'Grantable' attribute.
  See Also:
    `Privilege.setGrantable(boolean)`, `SQLAccessControlPackage.getPrivilege_Grantable()`

### setGrantable

    public void setGrantable(boolean newGrantable)

  Specified by:
    `setGrantable` in interface `Privilege`
  Parameters:
    `newGrantable` - the new value of the 'Grantable' attribute.
  See Also:
    `Privilege.isGrantable()`

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `Privilege`
  Returns:
    the value of the 'Action' attribute.
  See Also:
    `Privilege.setAction(String)`, `SQLAccessControlPackage.getPrivilege_Action()`

### setAction

    public void setAction(java.lang.String newAction)

  Specified by:
    `setAction` in interface `Privilege`
  Parameters:
    `newAction` - the new value of the 'Action' attribute.
  See Also:
    `Privilege.getAction()`

### getGrantor

    public AuthorizationIdentifier getGrantor()

  Specified by:
    `getGrantor` in interface `Privilege`
  Returns:
    the value of the 'Grantor' reference.
  See Also:
    `Privilege.setGrantor(AuthorizationIdentifier)`, `SQLAccessControlPackage.getPrivilege_Grantor()`, `AuthorizationIdentifier.getGrantedPrivilege()`

### basicGetGrantor

    public AuthorizationIdentifier basicGetGrantor()

### basicSetGrantor

    public NotificationChain basicSetGrantor(AuthorizationIdentifier newGrantor,
                                             NotificationChain msgs)

### setGrantor

    public void setGrantor(AuthorizationIdentifier newGrantor)

  Specified by:
    `setGrantor` in interface `Privilege`
  Parameters:
    `newGrantor` - the new value of the 'Grantor' reference.
  See Also:
    `Privilege.getGrantor()`

### getObject

    public SQLObject getObject()

  Specified by:
    `getObject` in interface `Privilege`
  Returns:
    the value of the 'Object' reference.
  See Also:
    `Privilege.setObject(SQLObject)`, `SQLAccessControlPackage.getPrivilege_Object()`

### basicGetObject

    public SQLObject basicGetObject()

### setObject

    public void setObject(SQLObject newObject)

  Specified by:
    `setObject` in interface `Privilege`
  Parameters:
    `newObject` - the new value of the 'Object' reference.
  See Also:
    `Privilege.getObject()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.